--- buildDocBookCatalog.orig	2003-07-08 14:26:24.000000000 -0400
+++ buildDocBookCatalog	2003-07-08 14:53:12.000000000 -0400
@@ -28,18 +28,18 @@
 # Modifications made to Daniel Veillard's catalog build script at 
 # http://xmlsoft.org/buildDocBookCatalog.
 
-if [ ! -d /etc/xml -a -w /etc ]
+if [ ! -d $TMP/etc/xml -a -w $TMP/etc ]
 then
-    echo Directory /etc/xml missing creating it
-    mkdir /etc/xml
-    chmod 755 /etc/xml
+    echo Directory $TMP/etc/xml missing creating it
+    mkdir $TMP/etc/xml
+    chmod 755 $TMP/etc/xml
 fi
-if [ -w /etc/xml ]
+if [ -w $TMP/etc/xml ]
 then
-    ROOTCATALOG=/etc/xml/catalog
-    CATALOG=/etc/xml/docbook
+    ROOTCATALOG=$TMP/etc/xml/catalog
+    CATALOG=$TMP/etc/xml/docbook
 else
-    echo Unable to update root catalog /etc/xml/catalog
+    echo Unable to update root catalog $TMP/etc/xml/catalog
     echo Using $HOME/xmlcatalog as the root catalog
     echo export XMLCATALOG=$HOME/xmlcatalog
     ROOTCATALOG=$HOME/xmlcatalog
@@ -69,15 +69,15 @@
 #
 # find the prefix for DocBook DTD
 #
-found=`find /usr/share/xml -name docbookx.dtd`
+found=`find $TMP/usr/share/xml -name docbookx.dtd`
 if [ "$found" = "" ] ; then
     found=`find $HOME -name docbookx.dtd`
 fi
 if [ "$found" = "" ] ; then
-    found=`find /usr/local -name docbookx.dtd`
+    found=`find $TMP/usr/local -name docbookx.dtd`
 fi
 if [ "$found" = "" ] ; then
-    found=`find /usr/share/sgml -name docbookx.dtd`
+    found=`find $TMP/usr/share/sgml -name docbookx.dtd`
 fi
 if [ "$found" = "" ] ; then
     echo could not locate docbookx.dtd for DocBook XML
@@ -155,16 +155,16 @@
 top=`dirname $docbookdir`
 found=`find $top -name iso-amsb.ent`
 if [ "$found" = "" ] ; then
-    found=`find /usr/share/xml -name iso-amsb.ent`
+    found=`find $TMP/usr/share/xml -name iso-amsb.ent`
 fi
 if [ "$found" = "" ] ; then
     found=`find $HOME -name iso-amsb.ent`
 fi
 if [ "$found" = "" ] ; then
-    found=`find /usr/local -name iso-amsb.ent`
+    found=`find $TMP/usr/local -name iso-amsb.ent`
 fi
 if [ "$found" = "" ] ; then
-    found=`find /usr/share/sgml -name iso-amsb.ent`
+    found=`find $TMP/usr/share/sgml -name iso-amsb.ent`
 fi
 if [ "$found" = "" ] ; then
     echo could not locate iso-amsb.ent of ISO DocBook entities
